Package org.springframework.context.annotation

# Enum Class Bean.Bootstrap

java.lang.Object
java.lang.Enum<Bean.Bootstrap>
org.springframework.context.annotation.Bean.Bootstrap

All Implemented Interfaces:
  `Serializable`, `Comparable<Bean.Bootstrap>`, `Constable`

Enclosing class:
  Bean

public static enum Bean.Bootstrap extends Enum<Bean.Bootstrap>
Local enumeration for the bootstrap mode.

Since:
  6.2
See Also:
  - `Bean.bootstrap()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BACKGROUND`
Allow for instantiating a bean on a background thread.
`DEFAULT`
Constant to indicate the main pre-instantiation thread for non-lazy singleton beans and the caller thread for prototype beans.

## Method Summary

Modifier and Type
Method
Description
`static Bean.Bootstrap`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Bean.Bootstrap[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DEFAULT

public static final Bean.Bootstrap DEFAULT
Constant to indicate the main pre-instantiation thread for non-lazy singleton beans and the caller thread for prototype beans.

### BACKGROUND

public static final Bean.Bootstrap BACKGROUND
Allow for instantiating a bean on a background thread.

For a non-lazy singleton, a background pre-instantiation thread can be used while still enforcing the completion on context refresh. For a lazy singleton, a background pre-instantiation thread can be used with completion allowed at a later point (when actually accessed).

## Method Details

### values

public static Bean.Bootstrap[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Bean.Bootstrap valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null